This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 901361

Summary: [abrt] yum-utils-1.1.31-6.fc18: yumRepo.py:641:_dirSetupMkdir_p:RepoError: Error making cache directory: /var/tmp/yum-malar-bdSPHH/fedora error was: [Errno 17] File exists: '/var/tmp/yum-malar-bdSPHH/fedora'
Product: [Fedora] Fedora Reporter: Malar Kannan <malarkannan.p>
Component: yum-utilsAssignee: packaging-team-maint
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: admiller, packaging-team-maint, tla, zpavlas
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:8acb1b36c00113f3e05fdd2221f0556afd7a3957
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-18 08:19:32 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
File: backtrace
none
File: core_backtrace
none
File: environ
none
File: smolt_data none

Description Malar Kannan 2013-01-17 22:56:26 EST
Description of problem:
playing an avi/mp4 file using totem leads to searching for codecs and error report!

Version-Release number of selected component:
yum-utils-1.1.31-6.fc18

Additional info:
cmdline:        /usr/bin/python -tt /usr/bin/reposync --arch=x86_64 -gnlm
dso_list:       yum-3.4.3-47.fc18.noarch
executable:     /usr/bin/reposync
kernel:         3.7.2-201.fc18.x86_64
uid:            1000

Truncated backtrace:
yumRepo.py:641:_dirSetupMkdir_p:RepoError: Error making cache directory: /var/tmp/yum-malar-bdSPHH/fedora error was: [Errno 17] File exists: '/var/tmp/yum-malar-bdSPHH/fedora'

Traceback (most recent call last):
  File "/usr/bin/reposync", line 352, in <module>
    main()
  File "/usr/bin/reposync", line 169, in main
    my.doRepoSetup()
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 671, in doRepoSetup
    return self._getRepos(thisrepo, True)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 723, in _getRepos
    self._repos.doSetup(thisrepo)
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 138, in doSetup
    self.retrieveAllMD()
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 84, in retrieveAllMD
    dl = repo._async and repo._commonLoadRepoXML(repo)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1356, in _commonLoadRepoXML
    local  = self.cachedir + '/repomd.xml'
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 702, in <lambda>
    cachedir = property(lambda self: self._dirGetAttr('cachedir'))
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 685, in _dirGetAttr
    self.dirSetup()
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 664, in dirSetup
    self._dirSetupMkdir_p(dir)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 641, in _dirSetupMkdir_p
    raise Errors.RepoError, msg
RepoError: Error making cache directory: /var/tmp/yum-malar-bdSPHH/fedora error was: [Errno 17] File exists: '/var/tmp/yum-malar-bdSPHH/fedora'

Local variables in innermost frame:
msg: "Error making cache directory: /var/tmp/yum-malar-bdSPHH/fedora error was: [Errno 17] File exists: '/var/tmp/yum-malar-bdSPHH/fedora'"
dpath: '/var/tmp/yum-malar-bdSPHH/fedora'
self: <yum.yumRepo.YumRepository object at 0x1970c50>
e: OSError(17, 'File exists')
Comment 1 Malar Kannan 2013-01-17 22:56:30 EST
Created attachment 681996 [details]
File: backtrace
Comment 2 Malar Kannan 2013-01-17 22:56:33 EST
Created attachment 681997 [details]
File: core_backtrace
Comment 3 Malar Kannan 2013-01-17 22:56:36 EST
Created attachment 681998 [details]
File: environ
Comment 4 Malar Kannan 2013-01-17 22:56:38 EST
Created attachment 681999 [details]
File: smolt_data
Comment 5 Zdeněk Pavlas 2013-01-18 08:19:32 EST
Very likely a race.  Fixing 880722 should fix this, too, closing as a dupe.

*** This bug has been marked as a duplicate of bug 880722 ***